Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::PrefabFactory Class Reference

A factory class that can create various mesh prefabs. More...

`#include <OgrePrefabFactory.h>`

List of all members.

## Static Public Member Functions
static bool | createPrefab (Mesh *mesh)
| If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh.
## Static Private Member Functions
static void | createPlane (Mesh *mesh)
| Creates a plane as a submesh of the given mesh.
static void | createCube (Mesh *mesh)
| Creates a 100x100x100 cube as a submesh of the given mesh.
static void | createSphere (Mesh *mesh)
| Creates a sphere with a diameter of 100 units as a submesh of the given mesh.

## Detailed Description

A factory class that can create various mesh prefabs.

Remarks:
  This class is used by OgreMeshManager to offload the loading of various prefab types to a central location.

Definition at line 42 of file OgrePrefabFactory.h.

## Member Function Documentation

static void Ogre::PrefabFactory::createCube | ( | Mesh * | mesh | ) | `[static, private]`

| Creates a 100x100x100 cube as a submesh of the given mesh.

static void Ogre::PrefabFactory::createPlane | ( | Mesh * | mesh | ) | `[static, private]`

| Creates a plane as a submesh of the given mesh.

static bool Ogre::PrefabFactory::createPrefab | ( | Mesh * | mesh | ) | `[static]`

  | If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh. Parameters:
  | mesh | The mesh that the potential prefab will be created in.
Returns: true if a prefab has been created, otherwise false.

static void Ogre::PrefabFactory::createSphere | ( | Mesh * | mesh | ) | `[static, private]`

| Creates a sphere with a diameter of 100 units as a submesh of the given mesh.

The documentation for this class was generated from the following file:

- OgrePrefabFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:52 2008